Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.delete_file(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.deleteFile({
vectorStoreId: "vs_abc123",
fileId: "file-abc123",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.VectorStores.DeleteFileAsync(
vectorStoreId: "vs_abc123",
fileId: "file-abc123"
);
// handle responsecurl --request DELETE \
--url https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.mka1.com/api/v1/llm/vector_stores/{vector_store_id}/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "file-abc123",
"object": "vector_store.file.deleted",
"deleted": true
}Vector Stores
Remove file from vector store
Removes a file from a vector store and deletes its associated embeddings.
DELETE
/
api
/
v1
/
llm
/
vector_stores
/
{vector_store_id}
/
files
/
{file_id}
Python (SDK)
from meetkai_mka1 import SDK
with SDK(
bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:
res = sdk.llm.vector_stores.delete_file(vector_store_id="vs_abc123", file_id="file-abc123")
# Handle response
print(res)import { SDK } from "@meetkai/mka1";
const sdk = new SDK({
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
});
async function run() {
const result = await sdk.llm.vectorStores.deleteFile({
vectorStoreId: "vs_abc123",
fileId: "file-abc123",
});
console.log(result);
}
run();using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;
var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");
var res = await sdk.Llm.VectorStores.DeleteFileAsync(
vectorStoreId: "vs_abc123",
fileId: "file-abc123"
);
// handle responseAuthorizations
Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.
Headers
Optional external end-user identifier forwarded by the API gateway.
Path Parameters
The ID of the vector store that the file belongs to.
The ID of the file to delete.
Was this page helpful?
⌘I